> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Rating

> A `GET` to the `/ratings/{ratingId}` endpoint allows your application to retrieve a specific Rating.



## OpenAPI

````yaml get /v3/ratings/{rating}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/ratings/{rating}:
    get:
      tags:
        - Rating
      summary: Read Rating
      description: >-
        A `GET` to the `/ratings/{ratingId}` endpoint allows your application to
        retrieve a specific Rating.
      operationId: ratings.show
      parameters:
        - name: rating
          in: path
          required: true
          description: The rating ID
          schema:
            type: integer
      responses:
        '200':
          description: '`Rating`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Rating'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    Rating:
      type: object
      properties:
        id:
          type: integer
        profile_id:
          type: string
        source:
          type: string
        product_id:
          type:
            - integer
            - 'null'
        product_variant_id:
          type:
            - integer
            - 'null'
        transaction_id:
          type:
            - integer
            - 'null'
        interaction_id:
          type:
            - integer
            - 'null'
        staff_id:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        status:
          type: string
        score_type:
          type: string
        score:
          type: integer
        namespace:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        comment:
          type:
            - string
            - 'null'
        reason:
          type:
            - string
            - 'null'
        is_public:
          type: boolean
        is_active:
          type:
            - boolean
            - 'null'
        requires_action:
          type: boolean
        meta:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile_id
        - source
        - product_id
        - product_variant_id
        - transaction_id
        - interaction_id
        - staff_id
        - external_id
        - status
        - score_type
        - score
        - namespace
        - title
        - comment
        - reason
        - is_public
        - is_active
        - requires_action
        - meta
        - created_at
        - updated_at
      title: Rating
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````